% Exercise 1 
% 
% MATLAB script to solve for scattering by glass
% Emmanuel Boss. Using Anderson.m by Martin Anderson
%
%  
% =============================================== 
clear all
close all

%bubble in water
k = [0.001:0.001:0.03, 0.04:.01:0.1, .2:.1:10]; %wavenumber 
a = 1; %radius
c1 = 300000; %speed in sphere [mm/s] 
c3 = 1480000; %speed in medium [mm/s]
rho1 = 0.001225; %density of sphere
rho3 = 1;  %density of water
n = 40; %number of itterations
theta = 0; %in Anderson, 0 is backscatteirng

[p,R] = anderson(k,a,c1,c3,rho1,rho3,theta,n,1);

loglog(k*a,R,'r')
hold on 

%glass sphere
c1 = 3860000; %speed in sphere [m/s] 
c3 = 1480000; %speed in medium [m/s]
rho1 = 2.23; %density of sphere
rho3 = 1;  %density of water
n = 40; %number of itterations
theta = 0; %in Anderson, 0 is backscatteirng

[p,R] = anderson(k,a,c1,c3,rho1,rho3,theta,n,1);
loglog(k*a,R,'b')

%biological particle
c3 = 1480000; %speed in medium [m/s]
c1=c3*1.02;
rho3 = 1;  %density of water
rho1=rho3*1.05;
n = 40; %number of itterations
theta = 0; %in anderson, 0 is backscatteirng

[p,R] = anderson(k,a,c1,c3,rho1,rho3,theta,n,1);
loglog(k*a,R,'k')

legend('bubble','glass sphere','fish-like');



