% Exercise 1 
% 
% MATLAB script to solve for scattering by glass
% Emmanuel Boss. Using Anderson.m by Martin Anderson
%
%  
% =============================================== 
clear all
close all

%bubble in water
k = [0.01 0.1 1 10]; %wavenumber 
a = 1; %radius
c1 = 300000; %speed in sphere [mm/s] 
c3 = 1480000; %speed in medium [mm/s]
rho1 = 0.001225; %density of sphere
rho3 = 1;  %density of water
n = 40; %number of itterations
theta = 0; %in Anderson, 0 is backscatteirng

for j=1:4
  for i=1:1:91
  [p,R(i,j)] = anderson(k(j),a,c1,c3,rho1,rho3,(i-1)*2*pi/180,n,1);
  end
end
figure;
subplot(2,2,1)
polar([0:2:180]'*pi/180,R(:,1))
subplot(2,2,2)
polar([0:2:180]'*pi/180,R(:,2))
subplot(2,2,3)
polar([0:2:180]'*pi/180,R(:,3))
subplot(2,2,4)
polar([0:2:180]'*pi/180,R(:,4))
figure;
plot([0:2:180],R(:,1),'k',[0:2:180],R(:,2),'b',[0:2:180],R(:,3),'r',[0:2:180],R(:,4),'g')
legend('ka=0.01','ka=0.1','ka=1','ka=10');




